#!/bin/sh -e
TIZEN_SDK_INSTALL_PATH="`echo $INSTALLED_PATH`"
TIZEN_TOOL_ETC_PATH=$TIZEN_SDK_INSTALL_PATH/tools/emulator/etc

if [ -f "${TIZEN_TOOL_ETC_PATH}/tap.zip" ];then
    ditto -x -k "${TIZEN_TOOL_ETC_PATH}/tap.zip" "${TIZEN_TOOL_ETC_PATH}"
    rm -f "${TIZEN_TOOL_ETC_PATH}/tap.zip"
else
    echo "\"${TIZEN_TOOL_ETC_PATH}\"/tap.zip does not exist!"
    exit 1
fi

if [ ! -d "${TIZEN_TOOL_ETC_PATH}/tap.kext" ];then
    echo "tap.kext directory does not exist!"
    exit 1
fi
